ppi/composer-module

Composer module for PPI2

1.0 2015-08-18 07:46 UTC

This package is not auto-updated.

Last update: 2022-01-22 01:29:52 UTC


README

Composer module for PPI2.

Total Downloads Latest Stable Version Latest Unstable Version Build Status License

Composer

68747470733a2f2f676574636f6d706f7365722e6f72672f696d672f6c6f676f2d636f6d706f7365722d7472616e73706172656e742e706e67

Composer helps you declare, manage and install dependencies of PHP projects, ensuring you have the right stack everywhere.

See https://getcomposer.org/ for more information and documentation.

Requirements

Installation

1. Install Composer

If you don't have Composer yet, download it following the instructions on http://getcomposer.org/ or just run the following command:

curl -s http://getcomposer.org/installer | php

2. Add ppi/composer-module to your composer.json and install it

$ php composer.phar require ppi/composer-module dev-master

Composer will install the module to your project's vendor/ppi directory.

3. Enable the module

Enable this module by editing app/config/modules.yml:

modules:
    - PPI\ComposerModule
    # ...

License

This module is licensed under the MIT License. See the LICENSE file for details.

Authors

See also the list of contributors who participated in this project.

Submitting bugs and feature requests

Bugs and feature requests are tracked on GitHub.

About PPI

68747470733a2f2f75706c6f61642e77696b696d656469612e6f72672f77696b6970656469612f636f6d6d6f6e732f372f37642f5070692d6672616d65776f726b2d6c6f676f2e706e67

PPI is an open source PHP meta-framework. It has taken the good bits from Symfony2, ZendFramework2 & Doctrine2 and combined them together to create a solid and very easy web application framework. It can be considered the boilerplate of PHP frameworks.